### Method

# Ide Grid get_nth_column

#### Declaration

    IdeGridColumn*
    ide_grid_get_nth_column (
      IdeGrid* self,
      gint nth
    )

#### Description

Gets the `nth` column from the grid.

If `nth` is -1, then a new column at the beginning of the grid is created.

If `nth` is >= the number of columns in the grid, then a new column at the end of the grid is created.

Available since: | 3.32

#### Parameters

`nth` | `gint`
| The index of the column, or -1

#### Return value

Returns: | `IdeGridColumn`
| An `IdeGridColumn`.
| The data is owned by the instance.